## Class Bool

- java.lang.Object
- - Bool

- All Implemented Interfaces:
    `Cond`

      class Bool
      extends java.lang.Object
      implements Cond

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `private Memo<java.lang.Boolean>` | `val` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Bool​(Constant<java.lang.Boolean> val)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `eval()` | Evaluates the given conditional.
    `Cond` | `neg()` | negates the value of the conditional, without evaluating it.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### val

          private Memo<java.lang.Boolean> val

  - ### Constructor Detail

    - #### Bool

          public Bool​(Constant<java.lang.Boolean> val)

  - ### Method Detail

    - #### eval

          public boolean eval()

      Description copied from interface: `Cond`
      Evaluates the given conditional.
      Specified by:
        `eval` in interface `Cond`
      Returns:
        the boolean result of the evaluation

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### neg

          public Cond neg()

      Description copied from interface: `Cond`
      negates the value of the conditional, without evaluating it.
      Specified by:
        `neg` in interface `Cond`
      Returns:
        a new conditional, with the negated value